#ifndef CLNOTICEPOPWIDGET_H
#define CLNOTICEPOPWIDGET

#include <QWidget>
#include "CHttpBll.h"

namespace Ui {
class clNoticePopWidget;
}

class clNoticePopWidget : public QWidget
{
    Q_OBJECT

public:
    explicit clNoticePopWidget(QWidget *parent = nullptr);
    ~clNoticePopWidget();

    void setUI(const int nLeft, const int nTop, const int nWidth, const int nHeight);

	void addNotice(const CNoticeInfo ni);
	int noticeCount();
private:
    Ui::clNoticePopWidget *ui;
	std::vector<CNoticeInfo> vNL;
};

#endif // CLNOTICEPOPWIDGET_H
